# Image_DitheringMethod.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | Image_DitheringMethod { Image_DM_NearestColor, Image_DM_ErrorDiffusion }

Type of orientation in a symmetry.
- FT_HORIZONTAL : symmetry with respect to an horizontal axis.
- FT_VERTICAL : symmetry with respect to a vertical axis.
- FT_MAINDIAGONAL : symmetry with respect to a
diagonal oriented at 45 degrees.
- FT_ANTIDIAGONAL : symmetry with respect to a
diagonal oriented at -45 degrees.
- FT_CENTER :
- FT_90 : rotation of 90 degrees.
- FT_180 : rotation of 180 degrees.
- FT_270 : rotation of -90 degrees.
. More...

## Enumeration Type Documentation

enum Image_DitheringMethod

Enumeration values:

  Image_DM_NearestColor |
  Image_DM_ErrorDiffusion |